Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1814075 - StorageClassName:Null shows up in StorageCluster.yaml for OCP 4.3 + OCS 4.2.1
Summary: StorageClassName:Null shows up in StorageCluster.yaml for OCP 4.3 + OCS 4.2.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.3.z
Assignee: afrahman
QA Contact: Neha Berry
URL:
Whiteboard:
Depends On: 1812907
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-16 23:44 UTC by afrahman
Modified: 2020-04-08 07:40 UTC (History)
6 users (show)

Fixed In Version: https://openshift-release.svc.ci.openshift.org/releasestream/4.3.0-0.ci/release/4.3.0-0.ci-2020-03-20-044318
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1812907
Environment:
Last Closed: 2020-04-08 07:39:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4746 0 None closed [release-4.3] Bug 1814075: Mount OCS form when csv is available 2020-06-27 04:43:02 UTC
Red Hat Product Errata RHBA-2020:1262 0 None None None 2020-04-08 07:40:03 UTC

Comment 1 Neha Berry 2020-03-23 07:33:00 UTC
@afreen,

I don't see the fix in a nightly build yet. Do you have any link ?

I am unable to access the CI build you provided to confirm the bug fix. I think it was removed.

Comment 2 afrahman 2020-03-23 08:01:16 UTC
@Neha

The builds get removed after sometime. If the fix comes in one verison then subsequent builds have that fix.
This is ensured. hence any latest build for 4.3 from now on will have the fix.

Nightly builds are failing for some reason.

Comment 4 Neha Berry 2020-03-24 08:06:41 UTC
Verified the fix on OCP nightly build - 4.3.0-0.nightly-2020-03-23-130439 on a VMware cluster + RHCOS


OCP =  4.3.0-0.nightly-2020-03-23-130439

OCS = ocs-operator.v4.3.0-377.ci (4.3.0-rc2)




>>Steps performed:

1. Ran deploy-with-olm.yaml to create 4.3 Operator
   $ oc get catsrc ocs-catalogsource -n openshift-marketplace -o yaml|grep -i image
     image: quay.io/rhceph-dev/ocs-olm-operator:4.3.0-rc2

2. Installed subscription

3. Navigated to Installed Operator->StorageCluster and clicked on Create Storage Cluster

4. thin was selected as default SC, Size was 2TiB by default.( didnt change anything). I did not hit Bug 1812448 and default selection was honored.

5. Clicked on Create and Storagecluster was created. 
   ocs-operator.v4.3.0-377.ci      OpenShift Container Storage   4.3.0-377.ci              Succeeded



YAML from UI
==================

spec:
  storageDeviceSets:
    - config: {}
      count: 1
      dataPVCTemplate:
        metadata:
          creationTimestamp: null
        spec:
          accessModes:
            - ReadWriteOnce
          resources:
            requests:
              storage: 2Ti
          storageClassName: thin  <---- not NULL
          volumeMode: Block

Hence, moving this BZ to verified state in OCP 4.3 latest nightly build


---snip of storagecluster from CLI-------


 spec:
    storageDeviceSets:
    - config: {}
      count: 1
      dataPVCTemplate:
        metadata:
          creationTimestamp: null
        spec:
          accessModes:
          - ReadWriteOnce
          resources:
            requests:
              storage: 2Ti
          storageClassName: thin
          volumeMode: Block
        status: {}

Comment 7 errata-xmlrpc 2020-04-08 07:39:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1262


Note You need to log in before you can comment on or make changes to this bug.